### Function Macro

# GLib uint_checked_mul

since: 2.48

#### Declaration [src]

    #define g_uint_checked_mul (
      dest,
      a,
      b
    )

#### Description [src]

Performs a checked multiplication of `a` and `b`, storing the result in `dest`.

If the operation is successful, `TRUE` is returned. If the operation overflows then the state of `dest` is undefined and `FALSE` is returned.

Available since: 2.48

This function is not directly available to language bindings.

#### Parameters

`dest`

  Type: `-`

  A pointer to the #guint destination.

`a`

  Type: `-`

  The #guint left operand.

`b`

  Type: `-`

  The #guint right operand.